package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_CONTROL_SHIFT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2018-12-27
 */
@SuppressWarnings("serial")
public class HttControlShiftEntity implements java.io.Serializable {
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 上一班次
     */
    private String lastBc = "";
    /**
     * 班次上班时间
     */
    private String shiftBeg = "";
    /**
     * 班次下班时间
     */
    private String shiftEnd = "";
    /**
     * 上班时间
     */
    private String shiftTime = "";

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 上一班次
     * @return value
     */
    public String getLastBc() {
        return lastBc;
    }

    /**
     * 上一班次
     * @param lastBc value
     */
    public void setLastBc(String lastBc) {
        this.lastBc = lastBc;
    }

    /**
     * 班次上班时间
     * @return value
     */
    public String getShiftBeg() {
        return shiftBeg;
    }

    /**
     * 班次上班时间
     * @param shiftBeg value
     */
    public void setShiftBeg(String shiftBeg) {
        this.shiftBeg = shiftBeg;
    }

    /**
     * 班次下班时间
     * @return value
     */
    public String getShiftEnd() {
        return shiftEnd;
    }

    /**
     * 班次下班时间
     * @param shiftEnd value
     */
    public void setShiftEnd(String shiftEnd) {
        this.shiftEnd = shiftEnd;
    }

    /**
     * 上班时间
     * @return value
     */
    public String getShiftTime() {
        return shiftTime;
    }

    /**
     * 上班时间
     * @param shiftTime value
     */
    public void setShiftTime(String shiftTime) {
        this.shiftTime = shiftTime;
    }
}